- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DataStructures::OrderedList< key_type, data_type, comparison_function > Class Template Reference

`#include <DS_OrderedList.h>`

List of all members.

## Public Member Functions
| OrderedList (const OrderedList &original_copy)
OrderedList & | operator= (const OrderedList &original_copy)
bool | HasData (const key_type &key) const
unsigned | GetIndexFromKey (const key_type &key, bool *objectExists) const
data_type | GetElementFromKey (const key_type &key)
unsigned | Insert (const key_type &key, const data_type &data)
unsigned | Remove (const key_type &key)
data_type & | operator[] (const unsigned int position) const
void | RemoveAtIndex (const unsigned index)
void | InsertAtIndex (const data_type &data, const unsigned index)
void | InsertAtEnd (const data_type &data)
void | Del (const unsigned num=1)
void | Clear (void)
unsigned | Size (void) const
## Static Public Member Functions
static void | IMPLEMENT_DEFAULT_COMPARISON (void)
## Protected Attributes
DataStructures::List< data_type > | orderedList

## Detailed Description

### template<class key_type, class data_type, int(*)(const key_type &, const data_type &) comparison_function = defaultOrderedListComparison<key_type, data_type>>
class DataStructures::OrderedList< key_type, data_type, comparison_function >

Note:
  IMPORTANT! If you use defaultOrderedListComparison then call IMPLEMENT_DEFAULT_COMPARISON or you will get an unresolved external linker error.

## Member Function Documentation

template<class key_type, class data_type, int(*)(const key_type &, const data_type &) comparison_function>
bool DataStructures::OrderedList< key_type, data_type, comparison_function >::HasData | ( | const key_type & | key | ) | const

| comparisonFunction must take a key_type and a data_type and return <0, ==0, or >0 If the data type has comparison operators already defined then you can just use defaultComparison

The documentation for this class was generated from the following file:

- C:/RakNet 2.518/Include/DS_OrderedList.h